## Class JavaParser.yyException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--JavaParser.yyException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  JavaParser

public static class JavaParser.yyException
extends java.lang.Exception

thrown for irrecoverable syntax errors and stack overflow.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`JavaParser.yyException(java.lang.String message)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JavaParser.yyException

    public JavaParser.yyException(java.lang.String message)